#######################################################
#                                                     #
#  Encounter Command Logging File                           #
#  Created on Mon Jul 26 17:14:43                     #
#                                                     #
#######################################################
loadConfig ./encounter.conf
commitConfig
setCteReport
floorplan -r 1.0 0.6 40 40 40 40
addRing -spacing_bottom 10 -width_left 10 -width_bottom 10 -width_top 10 -spacing_top 10 -layer_bottom metal3 -width_right 10 -around core -center 1 -layer_top metal3 -spacing_right 10 -spacing_left 10 -layer_right metal4 -layer_left metal4 -nets { gnd vdd }
addStripe -set_to_set_distance 100 -spacing 5 -xleft_offset 50 -layer metal4 -width 5 -nets { gnd vdd }
amoebaPlace
sroute -noBlockPins -noPadRings
trialroute
setAnalysisMode
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.1.placed
setIPOMode -mediumEffort -fixDRC -addPortAsNeeded
initECO ./ipo1.txt
fixSetupViolation
endECO
setAnalysisMode
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.2.ipo1
createClockTreeSpec -output encounter.cts -bufFootprint buf -invFootprint inv
specifyClockTree -clkfile encounter.cts
ckSynthesis -rguide cts.rguide -report report.ctsrpt -macromodel report.ctsmdl -fix_added_buffers
trialRoute -highEffort -guide cts.rguide
extractRC
reportClockTree -postRoute -localSkew -report skew.post_troute_local.ctsrpt
reportClockTree -postRoute -report report.post_troute.ctsrpt
setAnalysisMode -setup -async -skew -autoDetectClockTree
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.3.cts
setIPOMode -highEffort -fixDrc -addPortAsNeeded -incrTrialRoute -restruct -topomap
initECO ipo2.txt
setExtractRCMode -default -assumeMetFill
extractRC
fixSetupViolation -guide cts.rguide
setExtractRCMode -detail -assumeMetFill
extractRC
fixDRCViolation -maxTran -maxCap -maxFanout
endECO
cleanupECO
setAnalysisMode
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.4.ipo2
addFiller -cell FILL -prefix FILL -fillBoundary
connectToGlobalNet -tie_highs_lows 0 -to_global_net vdd -verbose 0 -override_prior_global_connection 1 -in_instances * -nets {} -pins vdd -connect Pins -under_module {}
connectToGlobalNet -tie_highs_lows 0 -to_global_net gnd -verbose 0 -override_prior_global_connection 1 -in_instances * -nets {} -pins gnd -connect Pins -under_module {}
globalDetailRoute
setExtractRCMode -detail -noReduce
extractRC
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.5.final
verifyGeometry
verifyConnectivity -type all
streamOut final.gds2 -mapFile gds2_encounter.map -stripes 1 -units 1000 -mode ALL
saveNetlist -excludeLeafCell final.v
zoomBox 288.602 577.935 531.232 388.939
zoomBox 375.728 531.596 454.399 444.469
zoomBox 403.027 496.798 431.677 475.212
