#######################################################
#                                                     #
#  Encounter Command Logging File                           #
#  Created on Sat Jul 31 16:30:00                     #
#                                                     #
#######################################################
loadConfig ./encounter.conf
commitConfig
setCteReport
floorplan -r 1.0 0.6 40.05 40.8 40.05 42
addRing -spacing_bottom 9.9 -width_left 9.9 -width_bottom 9.9 -width_top 9.9 -spacing_top 9.9 -layer_bottom metal1 -width_right 9.9 -around core -center 1 -layer_top metal1 -spacing_right 9.9 -spacing_left 9.9 -layer_right metal2 -layer_left metal2 -offset_top 9.9 -offset_bottom 9.9 -offset_left 9.9 -offset_right 9.9 -nets { gnd vdd }
amoebaPlace
sroute -noBlockPins -noPadRings
trialroute
setAnalysisMode
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.1.placed
setIPOMode -mediumEffort -fixDRC -addPortAsNeeded
initECO ./ipo1.txt
fixSetupViolation
endECO
setAnalysisMode
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.2.ipo1
createClockTreeSpec -output encounter.cts -bufFootprint buf -invFootprint inv
specifyClockTree -clkfile encounter.cts
ckSynthesis -rguide cts.rguide -report report.ctsrpt -macromodel report.ctsmdl -fix_added_buffers
trialRoute -highEffort -guide cts.rguide
extractRC
reportClockTree -postRoute -localSkew -report skew.post_troute_local.ctsrpt
reportClockTree -postRoute -report report.post_troute.ctsrpt
setAnalysisMode -setup -async -skew -autoDetectClockTree
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.3.cts
setIPOMode -highEffort -fixDrc -addPortAsNeeded -incrTrialRoute -restruct -topomap
initECO ipo2.txt
setExtractRCMode -default -assumeMetFill
extractRC
fixSetupViolation -guide cts.rguide
setExtractRCMode -detail -assumeMetFill
extractRC
fixDRCViolation -maxTran -maxCap -maxFanout
endECO
cleanupECO
setAnalysisMode
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.4.ipo2
addFiller -cell FILL -prefix FILL -fillBoundary
connectToGlobalNet -tie_highs_lows 0 -to_global_net vdd -verbose 0 -override_prior_global_connection 1 -in_instances * -nets {} -pins vdd -connect Pins -under_module {}
connectToGlobalNet -tie_highs_lows 0 -to_global_net gnd -verbose 0 -override_prior_global_connection 1 -in_instances * -nets {} -pins gnd -connect Pins -under_module {}
globalDetailRoute
setExtractRCMode -detail -noReduce
extractRC
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.5.final
verifyGeometry
verifyConnectivity -type all
streamOut final.gds2 -mapFile gds2_encounter.map -stripes 1 -units 1000 -mode ALL
saveNetlist -excludeLeafCell final.v
setDrawMode place
violationBrowser -all -no_display_false
violationBrowserClose
