#######################################################
#                                                     #
#  Encounter Command Logging File                           #
#  Created on Mon Jul 26 17:01:28                     #
#                                                     #
#######################################################
loadConfig ./encounter.conf
commitConfig
setCteReport
floorplan -r 1.0 0.6 40 40 40 40
addRing -spacing_bottom 9.9 -width_left 9.9 -width_bottom 9.9 -width_top 9.9 -spacing_top 9.9 -layer_bottom metal4 -width_right 9.9 -around core -center 1 -layer_top metal4 -spacing_right 9.9 -spacing_left 9.9 -layer_right metal5 -layer_left metal5 -offset_top 1.5 -offset_bottom 1.5 -offset_left 1.5 -offset_right 1.5 -nets { gnd vdd }
addStripe -set_to_set_distance 99 -spacing 4.5 -xleft_offset 45 -layer metal5 -width 4.95 -nets { gnd vdd }
amoebaPlace
sroute -noBlockPins -noPadRings
trialroute
setAnalysisMode
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.1.placed
setIPOMode -mediumEffort -fixDRC -addPortAsNeeded
initECO ./ipo1.txt
fixSetupViolation
endECO
setAnalysisMode
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.2.ipo1
createClockTreeSpec -output encounter.cts -bufFootprint buf -invFootprint inv
specifyClockTree -clkfile encounter.cts
ckSynthesis -rguide cts.rguide -report report.ctsrpt -macromodel report.ctsmdl -fix_added_buffers
trialRoute -highEffort -guide cts.rguide
extractRC
reportClockTree -postRoute -localSkew -report skew.post_troute_local.ctsrpt
reportClockTree -postRoute -report report.post_troute.ctsrpt
setAnalysisMode -setup -async -skew -autoDetectClockTree
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.3.cts
setIPOMode -highEffort -fixDrc -addPortAsNeeded -incrTrialRoute -restruct -topomap
initECO ipo2.txt
setExtractRCMode -default -assumeMetFill
extractRC
fixSetupViolation -guide cts.rguide
setExtractRCMode -detail -assumeMetFill
extractRC
endECO
cleanupECO
setAnalysisMode
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.4.ipo2
addFiller -cell FILL -prefix FILL -fillBoundary
connectToGlobalNet -tie_highs_lows 0 -to_global_net vdd -verbose 0 -override_prior_global_connection 1 -in_instances * -nets {} -pins vdd -connect Pins -under_module {}
connectToGlobalNet -tie_highs_lows 0 -to_global_net gnd -verbose 0 -override_prior_global_connection 1 -in_instances * -nets {} -pins gnd -connect Pins -under_module {}
globalDetailRoute
setExtractRCMode -detail -noReduce
extractRC
buildTimingGraph
reportTA -nworst 10 -net > timing.rep.5.final
verifyGeometry
verifyConnectivity -type all
streamOut final.gds2 -mapFile gds2_encounter.map -stripes 1 -units 1000 -mode ALL
saveNetlist -excludeLeafCell final.v
zoomBox 189.968 447.011 369.885 194.725
zoomBox 239.014 379.583 326.898 281.472
zoomBox 264.099 348.500 315.659 308.430
zoomBox 280.661 343.387 310.737 316.435
fit
